Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFSheetConditionalFormatting

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFSheetConditionalFormatting

All Implemented Interfaces:
  SheetConditionalFormatting

    public final class HSSFSheetConditionalFormatting

extends java.lang.Object
implements SheetConditionalFormatting

The 'Conditional Formatting' facet of `HSSFSheet`

Author:
  Dmitriy Kumshayev

Method Summary
`int` | `addConditionalFormatting(CellRangeAddress[] regions, ConditionalFormattingRule rule1)` Add a new Conditional Formatting to the sheet.
`int` | `addConditionalFormatting(CellRangeAddress[] regions, ConditionalFormattingRule[] cfRules)` Add a new Conditional Formatting set to the sheet.
`int` | `addConditionalFormatting(CellRangeAddress[] regions, ConditionalFormattingRule rule1, ConditionalFormattingRule rule2)` Add a new Conditional Formatting consisting of two rules.
`int` | `addConditionalFormatting(CellRangeAddress[] regions, HSSFConditionalFormattingRule rule1)`
`int` | `addConditionalFormatting(CellRangeAddress[] regions, HSSFConditionalFormattingRule[] cfRules)` Allows to add a new Conditional Formatting set to the sheet.
`int` | `addConditionalFormatting(CellRangeAddress[] regions, HSSFConditionalFormattingRule rule1, HSSFConditionalFormattingRule rule2)`
`int` | `addConditionalFormatting(ConditionalFormatting cf)` Adds a copy of a ConditionalFormatting object to the sheet
`int` | `addConditionalFormatting(HSSFConditionalFormatting cf)` Adds a copy of HSSFConditionalFormatting object to the sheet
`int` | `addConditionalFormatting(Region[] regions, HSSFConditionalFormattingRule[] cfRules)` Deprecated. use `CellRangeAddress` instead of `Region`
`ConditionalFormattingRule` | `createConditionalFormattingRule(byte comparisonOperation, java.lang.String formula1)` Create a conditional formatting rule that compares a cell value to a formula calculated result, using an operator *
`ConditionalFormattingRule` | `createConditionalFormattingRule(byte comparisonOperation, java.lang.String formula1, java.lang.String formula2)` A factory method allowing to create a conditional formatting rule with a cell comparison operator TODO - formulas containing cell references are currently not parsed properly
`ConditionalFormattingRule` | `createConditionalFormattingRule(java.lang.String formula)` A factory method allowing to create a conditional formatting rule with a formula. The formatting rules are applied by Excel when the value of the formula not equal to 0. TODO - formulas containing cell references are currently not parsed properly
`ConditionalFormatting` | `getConditionalFormattingAt(int index)` gets Conditional Formatting object at a particular index
`int` | `getNumConditionalFormattings()`
`void` | `removeConditionalFormatting(int index)` removes a Conditional Formatting object by index

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createConditionalFormattingRule

    public ConditionalFormattingRule createConditionalFormattingRule(byte comparisonOperation,
                                                                     java.lang.String formula1,
                                                                     java.lang.String formula2)

  A factory method allowing to create a conditional formatting rule with a cell comparison operator

  TODO - formulas containing cell references are currently not parsed properly

  Specified by:
    `createConditionalFormattingRule` in interface `SheetConditionalFormatting`
  Parameters:
    `comparisonOperation` - - a constant value from ``CFRuleRecord.ComparisonOperator``:

    - BETWEEN
    - NOT_BETWEEN
    - EQUAL
    - NOT_EQUAL
    - GT
    - LT
    - GE
    - LE
    `formula1` - - formula for the valued, compared with the cell
    `formula2` - - second formula (only used with `CFRuleRecord.ComparisonOperator.BETWEEN`) and `CFRuleRecord.ComparisonOperator.NOT_BETWEEN` operations)

### createConditionalFormattingRule

    public ConditionalFormattingRule createConditionalFormattingRule(byte comparisonOperation,
                                                                     java.lang.String formula1)

  Description copied from interface: `SheetConditionalFormatting`
  Create a conditional formatting rule that compares a cell value to a formula calculated result, using an operator *

  The type of the created condition is `ConditionalFormattingRule.CONDITION_TYPE_CELL_VALUE_IS`

  Specified by:
    `createConditionalFormattingRule` in interface `SheetConditionalFormatting`
  Parameters:
    `comparisonOperation` - MUST be a constant value from ``ComparisonOperator`` except BETWEEN and NOT_BETWEEN
    `formula1` - the formula to determine if the conditional formatting is applied

### createConditionalFormattingRule

    public ConditionalFormattingRule createConditionalFormattingRule(java.lang.String formula)

  A factory method allowing to create a conditional formatting rule with a formula.
  The formatting rules are applied by Excel when the value of the formula not equal to 0.

  TODO - formulas containing cell references are currently not parsed properly

  Specified by:
    `createConditionalFormattingRule` in interface `SheetConditionalFormatting`
  Parameters:
    `formula` - - formula for the valued, compared with the cell

### addConditionalFormatting

    public int addConditionalFormatting(HSSFConditionalFormatting cf)

  Adds a copy of HSSFConditionalFormatting object to the sheet

  This method could be used to copy HSSFConditionalFormatting object from one sheet to another. For example:

       HSSFConditionalFormatting cf = sheet.getConditionalFormattingAt(index);
       newSheet.addConditionalFormatting(cf);

  Parameters:
    `cf` - HSSFConditionalFormatting object
  Returns:
    index of the new Conditional Formatting object

### addConditionalFormatting

    public int addConditionalFormatting(ConditionalFormatting cf)

  Description copied from interface: `SheetConditionalFormatting`
  Adds a copy of a ConditionalFormatting object to the sheet

  This method could be used to copy ConditionalFormatting object from one sheet to another. For example:

       ConditionalFormatting cf = sheet.getConditionalFormattingAt(index);
       newSheet.addConditionalFormatting(cf);

  Specified by:
    `addConditionalFormatting` in interface `SheetConditionalFormatting`
  Parameters:
    `cf` - the Conditional Formatting to clone
  Returns:
    index of the new Conditional Formatting object

### addConditionalFormatting

    public int addConditionalFormatting(Region[] regions,
                                        HSSFConditionalFormattingRule[] cfRules)

  Deprecated. use `CellRangeAddress` instead of `Region`

### addConditionalFormatting

    public int addConditionalFormatting(CellRangeAddress[] regions,
                                        HSSFConditionalFormattingRule[] cfRules)

  Allows to add a new Conditional Formatting set to the sheet.

  Parameters:
    `regions` - - list of rectangular regions to apply conditional formatting rules
    `cfRules` - - set of up to three conditional formatting rules
  Returns:
    index of the newly created Conditional Formatting object

### addConditionalFormatting

    public int addConditionalFormatting(CellRangeAddress[] regions,
                                        ConditionalFormattingRule[] cfRules)

  Description copied from interface: `SheetConditionalFormatting`
  Add a new Conditional Formatting set to the sheet.

  Specified by:
    `addConditionalFormatting` in interface `SheetConditionalFormatting`
  Parameters:
    `regions` - - list of rectangular regions to apply conditional formatting rules
    `cfRules` - - set of up to three conditional formatting rules
  Returns:
    index of the newly created Conditional Formatting object

### addConditionalFormatting

    public int addConditionalFormatting(CellRangeAddress[] regions,
                                        HSSFConditionalFormattingRule rule1)

### addConditionalFormatting

    public int addConditionalFormatting(CellRangeAddress[] regions,
                                        ConditionalFormattingRule rule1)

  Description copied from interface: `SheetConditionalFormatting`
  Add a new Conditional Formatting to the sheet.

  Specified by:
    `addConditionalFormatting` in interface `SheetConditionalFormatting`
  Parameters:
    `regions` - - list of rectangular regions to apply conditional formatting rules
    `rule1` - - the rule to apply
  Returns:
    index of the newly created Conditional Formatting object

### addConditionalFormatting

    public int addConditionalFormatting(CellRangeAddress[] regions,
                                        HSSFConditionalFormattingRule rule1,
                                        HSSFConditionalFormattingRule rule2)

### addConditionalFormatting

    public int addConditionalFormatting(CellRangeAddress[] regions,
                                        ConditionalFormattingRule rule1,
                                        ConditionalFormattingRule rule2)

  Description copied from interface: `SheetConditionalFormatting`
  Add a new Conditional Formatting consisting of two rules.

  Specified by:
    `addConditionalFormatting` in interface `SheetConditionalFormatting`
  Parameters:
    `regions` - - list of rectangular regions to apply conditional formatting rules
    `rule1` - - the first rule
    `rule2` - - the second rule
  Returns:
    index of the newly created Conditional Formatting object

### getConditionalFormattingAt

    public ConditionalFormatting getConditionalFormattingAt(int index)

  gets Conditional Formatting object at a particular index

  Specified by:
    `getConditionalFormattingAt` in interface `SheetConditionalFormatting`
  Parameters:
    `index` - of the Conditional Formatting object to fetch
  Returns:
    Conditional Formatting object

### getNumConditionalFormattings

    public int getNumConditionalFormattings()

  Specified by:
    `getNumConditionalFormattings` in interface `SheetConditionalFormatting`
  Returns:
    number of Conditional Formatting objects of the sheet

### removeConditionalFormatting

    public void removeConditionalFormatting(int index)

  removes a Conditional Formatting object by index

  Specified by:
    `removeConditionalFormatting` in interface `SheetConditionalFormatting`
  Parameters:
    `index` - of a Conditional Formatting object to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD